=== debian/control ===
Source: iniparser
Section: libs
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: debhelper-compat (= 12), cmake, doxygen
Standards-Version: 4.3.0
Homepage: http://ndevilla.free.fr/iniparser/
Vcs-Browser: https://salsa.debian.org/carnil/iniparser
Vcs-Git: https://salsa.debian.org/carnil/iniparser.git
Rules-Requires-Root: no

Package: libiniparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libiniparser1 (= ${binary:Version}), ${misc:Depends}
Recommends: libiniparser-doc (= ${binary:Version})
Description: development files for the iniParser INI file reader/writer
 This package contains development libraries and headers for the iniParser
 INI file reader/writer.
 .
 The iniParser library is a simple C library offering INI file parsing
 services (both reading and writing).

Package: libiniparser-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: documentation files for the iniParser INI file reader/writer
 This package contains HTML documentation for the iniParser INI file
 reader/writer.
 .
 The iniParser library is a simple C library offering INI file parsing
 services (both reading and writing).

Package: libiniparser1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: runtime library for the iniParser INI file reader/writer
 This package contains the runtime library for the iniParser INI file
 reader/writer.
 .
 The iniParser library is a simple C library offering INI file parsing
 services (both reading and writing).
