=== debian/tests/control ===
Tests: iniexample
Depends: @, build-essential
Restrictions: allow-stderr

Tests: parse
Depends: @, build-essential
