=== debian/watch ===
version=4
https://github.com/ndevilla/@PACKAGE@/releases /ndevilla/@PACKAGE@/archive/v@ANY_VERSION@@ARCHIVE_EXT@
