=== debian/changelog ===
iniparser (4.2.1-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: heap overflow in iniparser_dumpsection_ini()
    - debian/patches/CVE-2025-0633-1.patch: return if name doesn't fit in
      buffer in src/iniparser.c.
    - debian/patches/CVE-2025-0633-2.patch: add test to
      test/test_iniparser.c.
    - CVE-2025-0633

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Feb 2025 12:44:47 -0500

iniparser (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * debian/control: Homepage: Reflect upstream move to gitlab
  * debian/copyright: Source: Reflect upstream move to gitlab
  * debian/u/metadata: Reflect upstream move to gitlab
  * debian/watch: Move watch URL to gitlab.com hosting releases
  * Mark cmake support patach as forwarded upstream

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 May 2024 11:31:27 +0200

iniparser (4.2-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 May 2024 21:03:35 +0200

iniparser (4.2-1~exp1) experimental; urgency=medium

  * New upstream version 4.2
  * Update copyright years for upstream files
  * Declare compliance with Debian policy 4.7.0
  * Update copyright years for debian/* packaging files
  * libiniparser1: Update symbols for 4.2
  * debian/tests: Add another autopkgtest to write ini file
  * debian/control: Point homepage field to github repository

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 May 2024 09:51:01 +0200

iniparser (4.1-7) unstable; urgency=medium

  * Handle null return from iniparser_getstring (CVE-2023-33461)
  * Declare compliance with Debian policy 4.6.2
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 16 Sep 2023 16:01:05 +0200

iniparser (4.1-6) unstable; urgency=medium

  * debian/watch: Watch for tagged releases on github

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 16 Dec 2021 09:43:45 +0100

iniparser (4.1-5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Rename and update salsa-ci.yml based on Salsa CI Team's template
  * Bump Debhelper compat level to 13
  * Declare compliance with Debian policy 4.6.0
  * Fix buffer overflow from sprintf (Closes: #985097)
  * Fail testrun on test failure (Closes: #985099)
  * Update copyright years for debian/* packaging files
  * Updated test for when long int is not 8 byte
  * Don't send a const ptr to asprintf()
  * test/testiniparser.c: fix missing comma in token test list

  [ Debian Janitor ]
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 Dec 2021 10:06:09 +0100
