=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: iniparser
 Section: libs
 Priority: optional
-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper-compat (= 12), cmake, doxygen
-Standards-Version: 4.3.0
-Homepage: http://ndevilla.free.fr/iniparser/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake, doxygen
+Standards-Version: 4.7.0
+Homepage: https://gitlab.com/iniparser/iniparser
 Vcs-Browser: https://salsa.debian.org/carnil/iniparser
 Vcs-Git: https://salsa.debian.org/carnil/iniparser.git
 Rules-Requires-Root: no
