=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 Tests: parse
 Depends: @, build-essential
+
+Tests: iniwrite
+Depends: @, build-essential
