=== debian/changelog ===
iniparser (4.2.4-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 26 Sep 2024 23:51:06 +0200

iniparser (4.2.4-1~exp1) experimental; urgency=medium

  * New upstream version 4.2.4
  * libiniparser-dev: Include installation of pkgconfig and cmake files
  * Rename runtime library binary package to libiniparser4 for upstream soname
    adjustment

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 21 Sep 2024 20:53:08 +0200
