=== test/CMakeLists.txt ===
--- 
+++ 
@@ -55,16 +55,10 @@
       ${CMAKE_CURRENT_SOURCE_DIR}/test_${TEST_RUNNER_NAME}.c
       test_${TEST_RUNNER_NAME}_runner.c
     DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/test_${TEST_RUNNER_NAME}.c
-    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
-    BYPRODUCTS test_${TEST_RUNNER_NAME}_runner.c)
+    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
 
   add_executable(test_${TEST_RUNNER_NAME} test_${TEST_RUNNER_NAME}.c
                                           test_${TEST_RUNNER_NAME}_runner.c)
-  # Prevent MSVC from creating Debug or Release subdirectories for test
-  # executables
-  set_target_properties(
-    test_${TEST_RUNNER_NAME} PROPERTIES RUNTIME_OUTPUT_DIRECTORY
-                                        ${CMAKE_CURRENT_BINARY_DIR}/$<0:>)
   foreach(TARGET_TYPE ${TARGET_TYPES})
     # if BUILD_STATIC_LIBS=ON shared takes precedence
     target_link_libraries(
@@ -82,6 +76,12 @@
   NAME test_${PROJECT_NAME}
   COMMAND test_${PROJECT_NAME}
   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+add_custom_command(
+  TARGET test_${PROJECT_NAME}
+  POST_BUILD
+  COMMAND ${CMAKE_COMMAND} -E copy -t $<TARGET_FILE_DIR:test_${PROJECT_NAME}>
+          $<TARGET_RUNTIME_DLLS:test_${PROJECT_NAME}>
+  COMMAND_EXPAND_LISTS)
 
 create_test_runner(NAME dictionary)
 message(STATUS "Adding test test_dictionary")
@@ -89,3 +89,9 @@
   NAME test_dictionary
   COMMAND test_dictionary
   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+add_custom_command(
+  TARGET test_dictionary
+  POST_BUILD
+  COMMAND ${CMAKE_COMMAND} -E copy -t $<TARGET_FILE_DIR:test_dictionary>
+          $<TARGET_RUNTIME_DLLS:test_dictionary>
+  COMMAND_EXPAND_LISTS)
