=== debian/changelog ===
iniparser (4.2.5-1) unstable; urgency=medium

  * New upstream version 4.2.5
  * debian/rules: configure: Enable documentation build
  * Update copyright years for debian/* packaging files
  * debian/tests: Add testcase from upstream issue #175
  * README: Fix privacy-breach-generic caused by included images

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 Jan 2025 13:54:23 +0100
