=== debian/changelog ===
iniparser (4.2.6-1) unstable; urgency=medium

  * New upstream version 4.2.6
  * Update "README: Fix privacy-breach-generic caused by included images"

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 18 Feb 2025 22:44:45 +0100
