=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: iniparser
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, doxygen
 Standards-Version: 4.7.0
 Homepage: https://gitlab.com/iniparser/iniparser
@@ -14,7 +13,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libiniparser1 (= ${binary:Version}), ${misc:Depends}
+Depends: libiniparser4 (= ${binary:Version}), ${misc:Depends}
 Recommends: libiniparser-doc (= ${binary:Version})
 Description: development files for the iniParser INI file reader/writer
  This package contains development libraries and headers for the iniParser
@@ -35,7 +34,7 @@
  The iniParser library is a simple C library offering INI file parsing
  services (both reading and writing).
 
-Package: libiniparser1
+Package: libiniparser4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
