=== debian/tests/control ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 Tests: iniwrite
 Depends: @, build-essential
+
+Tests: upstream-issue-175
+Depends: @, build-essential
